<html>
<head>
  <title>DocBook Wiki</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  <link rel="stylesheet" href="styles.css" type="text/css" >
</head>
<body>

<?php include "header.html"; ?>

<h2>The Features of DocBookWiki</h2>

<p> <strong>DocBookWiki</strong> can display DocBook documents online.
Different from the other applications, which convert a DocBook document into
HTML first, in order to display it online, <strong>DocBookWiki</strong>
converts it on the fly, so that the format for saving the document will
still be XML (DocBook).  In order to do this efficiently,
<strong>DocBookWiki</strong> splits it first into chunks, according to
chapters, sections etc. </p>

<p> It can also display a list of books, and for each book it can support
multiple languages (translations).  When the reader is reading a certain
section of a book and he changes the language, he will see the same section
in the selected language. </p>

<p> <strong>DocBookWiki</strong> can also be used to edit a DocBook
document online, from the web.  Editing is done one section at a time,
so the editor selects first the section that he wants to edit, and then
edits it.  He can edit it in several modes: text (like wiki), xml (the
original format), html, latex, texi, etc., whichever is more suitable for
him.  The changes, however, are always saved in the XML(DocBook) format.
Authentication of the editors (with username, password) can be enabled as
well, if necessary.  Also, different editing permissions can be assigned
to editors. </p>

<p> It allows the viewers of a document to download the document in other
formats, like PDF, RTF, Plain HTML, LaTeX, PS, etc. which can be generated
automatically from the DocBook format. </p>

<p> <strong>DocBookWiki</strong> will also try to keep a history of all the
modifications made to the document, by keeping the document chunks in CVS,
and so keeping track of all the changes. </p>

<p>
The features of <strong>DocBookWiki</strong> can be summarized like this:
<ul>
  <li>Can display a DocBook document online.</li>
  <li>Can display several documents at once (a list of books).</li>
  <li>Can display each of them in several languages.</li>
  <li>Allows to edit a certain section of a certain book in a certain language.</li>
  <li>Editing can be done in several modes, like text, html, xml, texi, latex etc.</li>
  <li>The basic format is always DocBook (XML), no matter how it is displayed or
  edited.</li>
  <li>Each document (in each language) can be converted automatically into other
  formats (like PDF, RTF, LaTeX, etc.) for downloading.</li>
  <li>All the history of modifications is kept (in CVS) and any previous versions
  of a document can be recovered (by tag or by date) by the admin of the site.</li>
  <li>Authentication of editors can be enabled and admin can assign different access rights and permissions to the editors.</li>
</ul>
</p>

<p>In short, <strong>DocBookWiki</strong> will be like a wikiwiki which
saves the content in XML (DocBook) format. </p>


<h2>Related Links</h2>

<ul>
  <li><a href="http://doc-book.sourceforge.net/kushtetuta/" target="_blank">
      kushtetuta</a></li>
  <li><a href="http://doc-book.sourceforge.net/kushtetuta/edit.php" target="_blank">
      kushtetuta (in edit mode)</a></li>
  <li><a href="http://doc-book.sourceforge.net/books/" target="_blank">
      book (demo)</a></li>
  <li><a href="http://doc-book.sourceforge.net/books/edit.php" target="_blank">
      book (edit demo)</a> (user: guest, passwd: guest)</li>
</ul>
<ul>
  <li><a href="http://doc-book.sourceforge.net/books/codedoc/" target="_blank">
      code documentation</a></li>
</ul>
<ul>
  <li><a href="http://sourceforge.net/projects/doc-book/" target="_blank">
      doc-book project at SourceForge</a></li>
  <li><a href="http://lists.sourceforge.net/lists/listinfo/doc-book-users" target="_blank">
      doc-book-users@lists.sourceforge.net</a></li>
  <li><a href="http://lists.sourceforge.net/lists/listinfo/doc-book-discussion" target="_blank">
      doc-book-discussion@lists.sourceforge.net</a></li>
</ul>

<p>Kushtetuta (Constitution) is the initial web application which
represents online the Albanian Constitution.  DocBookWiki is a successor
of Kushtetuta, intended to improve and to generalize it. </p>


<h2>Download and Install</h2>

<a href="http://sourceforge.net/project/showfiles.php?group_id=105609">Download</a>
it at SF.

<p><strong>DocBookWiki</strong> is built using PHP and the <a
href="http://phpwebapp.sourceforge.net">phpWebApp framework</a>.
<strong>DocBookWiki</strong> uses xsltproc (in Linux), so the only
supported platform is Linux. See a list of dependencies in the
<a href="http://freshmeat.net/projects/doc-book/" target="_blank">
freshmeat page</a>. Installation instructions can be found in the
file <a href="http://doc-book.sourceforge.net/books/INSTALL">INSTALL</a>
in the project.  Read also the file
<a href="http://doc-book.sourceforge.net/books/README">README</a>. </p>


<h2>Copying</h2>

<?php include "copying.html"; ?>

</body>
</html>
